package com.trade.service.filestorage.util.watermark;

/**
 * @description: 图片水印
 * @Author: wanglang
 * @Date: 2023/3/2 20:27
 * @Version: 1.0
 */
public class PngMark {
    /**
     * 水印图片路径, “watermark”文件夹中已经存放的水印文件路径
     */
    private String waterMarkFile;
    /**
     * 水印的位置，横轴 默认值为宽度的1/6位置（左下角为原点）
     */
    private float locateX;
    /**
     * 水印的位置，纵轴 默认值为高度的1/6位置（左下角为原点）
     */
    private float locateY;
    /**
     * 水印图片的宽度 默认值为150
     */
    private Integer imageWidth;
    /**
     * 水印图片的高度 默认值为150
     */
    private Integer imageHeight;

    public float getAlpha() {
        return alpha;
    }

    public void setAlpha(float alpha) {
        this.alpha = alpha;
    }

    /**
     * 水印透明度
     */
    private float alpha;

    public String getWaterMarkFile() {
        return waterMarkFile;
    }

    public void setWaterMarkFile(String waterMarkFile) {
        this.waterMarkFile = waterMarkFile;
    }

    public float getLocateX() {
        return locateX;
    }

    public void setLocateX(float locateX) {
        this.locateX = locateX;
    }

    public float getLocateY() {
        return locateY;
    }

    public void setLocateY(float locateY) {
        this.locateY = locateY;
    }

    public Integer getImageWidth() {
        return imageWidth;
    }

    public void setImageWidth(Integer imageWidth) {
        this.imageWidth = imageWidth;
    }

    public Integer getImageHeight() {
        return imageHeight;
    }

    public void setImageHeight(Integer imageHeight) {
        this.imageHeight = imageHeight;
    }
}
